org.springframework.data.repository.config

## Interface RepositoryConfigurationUtils

    public interface RepositoryConfigurationUtils

Helper class to centralize common functionality that needs to be used in various places of the configuration implementation.

Author:
  Oliver Gierke

### Method Summary

All Methods Static Methods Default Methods
`static void` `exposeRegistration(RepositoryConfigurationExtension extension, BeanDefinitionRegistry registry, RepositoryConfigurationSource configurationSource)` Registers the given `RepositoryConfigurationExtension` to indicate the repository configuration for a particular store (expressed through the extension's concrete type) has happened.

### Method Detail

#### exposeRegistration

    static void exposeRegistration(RepositoryConfigurationExtension extension,
                                   BeanDefinitionRegistry registry,
                                   RepositoryConfigurationSource configurationSource)

Registers the given `RepositoryConfigurationExtension` to indicate the repository configuration for a particular store (expressed through the extension's concrete type) has happened. Useful for downstream components that need to detect exactly that case. The bean definition is marked as lazy-init so that it doesn't get instantiated if no one really cares.

Parameters:
  `extension` - must not be null.
  `registry` - must not be null.
  `configurationSource` - must not be null.